(function ($){
	// готовность документа
	$(function($) {

		/* Устанавливаем метод анимации поумолчанию,
			вы можете пропустить этот шаг если вы не хотите
			использовать плагин jQuery Easing */
		jQuery.easing.def = "easeInOutBack";

		var // массив цветов
			colors = ['#fbb92e', '#f8d52f', '#b4f62f', '#54f7a8', '#3ff7f3', '#3a97fa', '#6835f9', '#d544f6', '#f650ab'],
			// кэшируем коллекции элементов, для удобства и быстроты работы
			$span = $('#menu > span'),
			$links = $('#menu li a'),
			// индекс цвета и позиция активного пункта меню
			current_pos = false,
			current_index = false;

		// перебираем все ссылки меню
		for (var i = 0; i < $links.length; i++) {
			// устанавливаем цвета границ
			$links.eq(i).css('border-color', colors[i]);

			// определяем текущую ссылку
			if ($links.eq(i).hasClass('current')){
				// устанавливаем позицию текущей ссылки
				current_pos = $links.eq(i).position('#menu').left;
				// устанавливаем индекс цвета текущей ссылки
				current_index = i;
			}

			// добавление событий
			$links.eq(i).data('index', i).bind({
				// mouse enter
				mouseenter: function(e) {
					// остановка воспроизведения анимации
					$span.stop();

					// будующая позиция выделения
					var left = $(this).position('#menu').left;

					// устанавливаем цвет выделения
					$span.css('background', colors[$(this).data('index')]);

					// анимация передвежения выделения
					$span.animate({ left: left }, 600);
				},
				// mouse leave
				mouseleave: function(e){
					// остановка воспроизведения анимации
					$span.stop();

					// позиция выделения поумолчанию
					var left = -100;

					// если меню имеет активный пункт
					if (false !== current_pos) {
						// обновляем параметры выделения
						left = current_pos;
						$span.css('background', colors[current_index]);
					}

					// анимация передвежения выделения
					$span.animate({ left: left },600);
				}
			});
		}

		// выделяем активный пункт меню
		if (false !== current_pos) {
			// устанавливаем позицию выделения для активного пункта меню
			$span.css('left', current_pos);
			// устанавливаем цвет выделения для активного пункта меню
			$span.css('background', colors[current_index]);
		}
	});
})(jQuery);